#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a1, a2;
    char c1,c2;
    scanf("%c%c",&c1,&c2);
    scanf("%d%d",&a1,&a2);
    if(abs(a1-a2) >= 2)
    {
        printf("nemoguce");
    }
    else
    {
        int i;
        if(a1 > a2)
        {
            printf("%c",c1);
            for(i=1;i<=a2;i++)
            {
                printf("%c",c2);
                printf("%c",c1);
            }
        }
        else
        {
            for(i=1;i<=a1;i++)
            {
                printf("%c",c2);
                printf("%c",c1);
            }
            if(a2>a1)
            {
                printf("%c",c2);
            }
        }
    }
}